"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskService = void 0;
var log4js = require("log4js");
var promises_shared_1 = require("../shared/promises.shared");
var logger = log4js.getLogger('ServerScripts');
function TaskService(app) {
    app.post('/api/task/update_transcription_queue/:queue_id', function (req, res, next) {
        logger.info('[TaskService::update_transcription_queue] Received ' + req.method + ' on \'' + req.path + '\'');
        var queueId = req.params.queue_id;
        var userId = res.locals.userId;
        var callbackData = (req.body || {});
        logger.info("[TaskService::update_transcription_queue] Received ".concat(callbackData));
        logger.info("[TaskService::update_transcription_queue] Received:", callbackData);
        (0, promises_shared_1.DummyPromise)()
            .then(function (_) {
            var result = 'OK';
            if (res.headersSent)
                return;
            res.json({ status: true, description: 'SERVER_SUCCESS_MESSAGE', data: result });
        })
            .catch(function (err) {
            var clientMsg = (typeof err === 'string' ? err : 'CANNOT_PROCESS_REQUEST');
            var errorMsg = (typeof err === 'string' ? err : err.message || err.description || 'SERVER_ERROR_UNKNOWN_MESSAGE');
            logger.error('[TeamPerformanceService::get_team_performance_from_evaluation] Error on \'' + req.path + '\': ' + errorMsg);
            if (res.headersSent)
                return;
            res.json({ status: false, description: clientMsg, error: errorMsg });
        });
    });
}
exports.TaskService = TaskService;
